diff --git src/support/linkback/LinkBackServer.m src/support/linkback/LinkBackServer.m
index d089fca..2819efb 100644
--- src/support/linkback/LinkBackServer.m
+++ src/support/linkback/LinkBackServer.m
@@ -171,6 +171,16 @@ void LinkBackRunAppNotFoundPanel(NSString* appName, NSURL* url)
 
 	title = [NSString stringWithFormat: title, appName] ;
 
+#if MAC_OS_X_VERSION_MIN_REQUIRED < 101200
+
+    int result ;
+    result = NSRunCriticalAlertPanel(title, @"%@", ok, urlstr, nil, msg) ;
+    if (NSAlertAlternateReturn == result) {
+        [[NSWorkspace sharedWorkspace] openURL: url] ;
+    }
+
+#else
+
 	NSAlert* alert = [[NSAlert alloc] init];
 	[alert setAlertStyle:NSAlertStyleCritical];
 	[alert setMessageText:title];
@@ -181,6 +191,8 @@ void LinkBackRunAppNotFoundPanel(NSString* appName, NSURL* url)
 		if (returnCode == NSAlertSecondButtonReturn)
 				[[NSWorkspace sharedWorkspace] openURL: url] ;
 	}];
+#endif
+
 }
 
 + (LinkBackServer*)LinkBackServerWithName:(NSString*)aName inApplication:(NSString*)bundleIdentifier launchIfNeeded:(BOOL)flag fallbackURL:(NSURL*)url appName:(NSString*)appName
